import {DatabasesService} from "@services/databases/databases.service";


const db = new DatabasesService('OnlyDevs')

async function getByEmail(email: string) {
	return await db.getUserByEmail(email)
}

async function getByUsername(username: string) {
	return await db.getUserByUsername(username)
}

async function getAll() {
	return db.getAllUsers()
}

const get = {
	byUsername: getByUsername,
	byEmail: getByEmail,
	all: getAll
}

const UsersService = {
	get
}

export default UsersService;